Child pages
  • cPanel API 2 Functions - PasswdStrength::get_required_strength
Skip to end of metadata
Go to start of metadata

 

Description

The application's required minimum password strength

Warning:

We strongly recommend that you use the following UAPI function instead of this function:

Examples 


 WHM API (JSON)
https://hostname.example.com:2087/cpsess###########/json-api/cpanel?cpanel_jsonapi_user=user&cpanel_jsonapi_apiversion=2&cpanel_jsonapi_module=PasswdStrength&cpanel_jsonapi_func=get_required_strength&app=ftp


Note:

 For more information, read our Calls from the WHM API documentation.

 LiveAPI PHP Class
$cpanel = new CPANEL(); // Connect to cPanel - only do this once.
 
// Check the minimum required strength for ftp passwords
$check_strength = $cpanel->api2(
    'PasswdStrength', 'get_required_strength', 
    array(
        'app' => 'ftp',
    ) 
);


Note:

For more information, read our Guide to the LiveAPI System.

 

 LiveAPI Perl Module
my $cpliveapi = Cpanel::LiveAPI->new(); # Connect to cPanel - only do this once.
 
# Check the minimum required strength for ftp passwords
my $check_strength = $cpliveapi->api2(
    'PasswdStrength', 'get_required_strength',
    { 
        'app' => 'ftp',
    }
);


Note:

For more information, read our Guide to the LiveAPI System.

 

 cPanel Tag System (deprecated)


Warnings:

  • In cPanel & WHM version 11.30 and later, cPanel tags are deprecated. We strongly recommend that you only use the LiveAPI system to call the cPanel APIs. Examples are only present in order to help developers move from the old cPanel tag system to our LiveAPI.
  • cPanel API 2 calls that use cPanel tags vary in code syntax and in their output.
  • For more information, read our Deprecated cPanel Tag Usage documentation.

 Command Line
cpapi2 --user=username PasswdStrength appstrengths app=ftp


Notes:

  • You must URI-encode values.
  • username represents your account-level username.
  • You must run the --user=username command.
  • For more information and additional output options, read our Guide to cPanel API 2 documentation or run the cpapi2 --help command.
  • If you run CloudLinux™, you must use the full path of the cpapi2 command:

    /usr/local/cpanel/bin/cpapi2

 Output (JSON)
{
  "cpanelresult": {
    "apiversion": 2,
    "func": "get_required_strength",
    "data": [
      {
        "strength": 0
      }
    ],
    "event": {
      "result": 1
    },
    "module": "PasswdStrength"
  }
}


Note:

Use cPanel's API Shell interface (cPanel >> Home >> Advanced >> API Shell) to directly test cPanel API calls.

   

Parameters

ParameterTypeDescriptionPossible valuesExample
appstring

Required

The application's name.

  • htaccess
  • passwd
  • ftp
  • createacct
  • bandmin

    Note:

    We removed the  bandmin  parameter value in cPanel & WHM version 58.

  • cpaddons
  • pop
  • sshkey
  • postgres
  • webdisk
  • mysql
ftp

Returns

ReturnTypeDescriptionPossible valuesExample
strengthinteger

The application's required minimum password strength.

An integer between 0 and 100.0
reasonstring

A reason for failure.

Note:

This function only returns a reason value if it failed.

A string that describes the error.

This is an error message.
resultBoolean

Whether the function succeeded.

  • 1 — The function succeeded.
  • 0 — The function failed.
1